Bug 947245 - [abrt] gnome-shell-search-fedora-packages-1.1.2-1.fc18: daemon.py:127:_initialize_icon_cache:OSError: [Errno 2] No such file or directory: '/home/dirtonious/.cache/search-fedora-packages/icons/'
Summary: [abrt] gnome-shell-search-fedora-packages-1.1.2-1.fc18: daemon.py:127:_initia...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-search-fedora-packages
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:19b5bceeeb66ec0c6af1f76954e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-01 21:37 UTC by David McClean
Modified: 2014-01-28 23:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-28 23:43:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.05 KB, text/plain)
2013-04-01 21:37 UTC, David McClean
no flags Details
File: core_backtrace (495 bytes, text/plain)
2013-04-01 21:37 UTC, David McClean
no flags Details
File: environ (1.12 KB, text/plain)
2013-04-01 21:37 UTC, David McClean
no flags Details

Description David McClean 2013-04-01 21:37:18 UTC
Version-Release number of selected component:
gnome-shell-search-fedora-packages-1.1.2-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/gnome-shell-search-fedora-packages-daemon
executable:     /usr/bin/gnome-shell-search-fedora-packages-daemon
kernel:         3.8.4-202.fc18.x86_64
uid:            1000
ureports_counter: 11

Truncated backtrace:
daemon.py:127:_initialize_icon_cache:OSError: [Errno 2] No such file or directory: '/home/dirtonious/.cache/search-fedora-packages/icons/'

Traceback (most recent call last):
  File "/usr/bin/gnome-shell-search-fedora-packages-daemon", line 9, in <module>
    load_entry_point('gnome-shell-search-fedora-packages==1.1.2', 'console_scripts', 'gnome-shell-search-fedora-packages-daemon')()
  File "/usr/lib/python2.7/site-packages/gs_search_fedora_packages/daemon.py", line 163, in main
    service = SearchFedoraPackagesService()
  File "/usr/lib/python2.7/site-packages/gs_search_fedora_packages/daemon.py", line 78, in __init__
    self._initialize_icon_cache()
  File "/usr/lib/python2.7/site-packages/gs_search_fedora_packages/daemon.py", line 127, in _initialize_icon_cache
    os.mkdir(self._icon_cache_dir)
OSError: [Errno 2] No such file or directory: '/home/dirtonious/.cache/search-fedora-packages/icons/'

Local variables in innermost frame:
self: <gs_search_fedora_packages.daemon.SearchFedoraPackagesService at /org/fedoraproject/fedorapackages/search at 0x2d43e50>

Comment 1 David McClean 2013-04-01 21:37:20 UTC
Created attachment 730482 [details]
File: backtrace

Comment 2 David McClean 2013-04-01 21:37:22 UTC
Created attachment 730483 [details]
File: core_backtrace

Comment 3 David McClean 2013-04-01 21:37:23 UTC
Created attachment 730484 [details]
File: environ

Comment 4 Ralph Bean 2013-04-02 00:54:57 UTC
Thanks for reporting!

Comment 5 Fedora Update System 2013-04-02 01:26:53 UTC
gnome-shell-search-fedora-packages-1.1.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-shell-search-fedora-packages-1.1.2-2.fc18

Comment 6 Fedora End Of Life 2013-12-21 15:45:41 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.